<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('layanan_publiks', function (Blueprint $table) {
            $table->id();
            $table->string('jenis_layanan');
            $table->string('nama_lengkap');
            $table->string('nik', 16);
            $table->string('instansi_asal')->nullable();
            $table->string('program_studi')->nullable();
            $table->date('tanggal_mulai')->nullable();
            $table->date('tanggal_selesai')->nullable();
            $table->string('file_surat_pengantar')->nullable();
            $table->string('file_proposal')->nullable();
            $table->string('status')->default('pending');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('layanan_publiks');
    }
};
